import React from "react";
import { StyleSheet, Text, View, TouchableOpacity } from "react-native";
import { Icon } from "react-native-elements";

const CustomTouchableOpacity = (props) => {
  return (
    <TouchableOpacity style={styles.touchable} onPress={props.onPress}>
      <View style={styles.touchableText}>
        <Text style={{ fontWeight: "bold" }}>{props.title}</Text>
        <Text style={{ ...styles.placeholderText, ...props.style }}>
          {props.placeholder}
        </Text>
        <Icon name={props.icon} />
      </View>
    </TouchableOpacity>
  );
};

export default CustomTouchableOpacity;

const styles = StyleSheet.create({
  touchable: {
    alignSelf: "stretch",
    backgroundColor: "#eaeaea",
    padding: 10,
  },
  touchableText: {
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
  },
  placeholderText: {
    color: "#727273",
    marginLeft: "auto",
    paddingEnd: 5,
  },
});
